Update a coupon
https://email.growthdept.ai/api/coupons/{id}The request body can be up to 5 MB.
Rate limits
Scopes
coupons:write
Operation id
update_coupon The same operation as in Klaviyo's API. OpenAPI document
Path parameters
stringrequired
Query parameters
Pick values to add them to the request:
Body
Send application/vnd.api+json or application/json.
object
dataobjectrequired
data: 5 fields
typestringrequired
couponidstringrequired
attributesobjectrequired
attributes: 3 fields
descriptionstringcan be null
monitor_configurationobject
assigner_configurationobject
assigner_configuration: 2 fields
usedstringrequired
ALWAYS_ASSIGNASSIGN_IF_EXPIREDNEVER_ASSIGNunused_expiredstringrequired
ALWAYS_ASSIGNNEVER_ASSIGN
relationshipsobject
metaobject
Edit the example. The code samples use what you type here.
Headers
stringrequireddefault 2026-10-15
API revision, YYYY-MM-DD. This server implements 2026-10-15.
Responses
200Success
Response body
object
dataobjectrequired
data: 4 fields
typestringrequired
couponidstringrequired
attributesobjectrequired
attributes: 4 fields
external_idstringrequired
descriptionstringcan be null
monitor_configurationobjectcan be null
assigner_configurationobjectcan be null
assigner_configuration: 2 fields
usedstringrequired
ALWAYS_ASSIGNASSIGN_IF_EXPIREDNEVER_ASSIGNunused_expiredstringrequired
ALWAYS_ASSIGNNEVER_ASSIGN
linksobjectrequired
links: 1 field
selfstring (uri)required
linksobject
links: 1 field
selfstring (uri)required
metaobject
4XXClient error
Response body
object
errorsarray of objectsrequired
errors: 8 fields
idstringrequired
statusintegerrequired
codestringrequired
titlestringrequired
detailstringrequired
sourceobject
source: 2 fields
pointerstring
parameterstring
linksobject
metaobject
See status codes for each code.
5XXServer error
Response body
object
errorsarray of objectsrequired
errors: 8 fields
idstringrequired
statusintegerrequired
codestringrequired
titlestringrequired
detailstringrequired
sourceobject
source: 2 fields
pointerstring
parameterstring
linksobject
metaobject